Name:           jsl
Version:        0.3.0
Release:        %mkrel 11
Summary:        Check JavaScript code for common mistakes

Group:          Development/Other
License:        MPLv1.1
URL:            https://javascriptlint.com/
Source0:        https://javascriptlint.com/download/%{name}-%{version}-src.tar.gz
Patch0:         jsl-0.3.0-smash.patch
Patch1:         jsl-0.3.0-tests.patch
Patch2:         jsl-fix-building-with-gcc14.patch

%description
With JavaScript Lint, you can check all your JavaScript source code for
common mistakes without actually running the script or opening the web page.

JavaScript Lint holds an advantage over competing lints because it is based
on the JavaScript engine for the Firefox browser. This provides a robust
framework that can not only check JavaScript syntax but also examine the
coding techniques used in the script and warn against questionable
practices.


%prep
%setup -q
%autopatch -p1


%build
# Fix DOS-y EOL encoding and permissions
find . -type f |xargs sed -i 's/\r//' $FILES
find . -type f |xargs chmod 644 $FILES

# Dependencies dealt with poorly -- no _smp_mflags
make -C src -f Makefile.ref SHARED_LIBRARY= \
        OBJDIR=. JS_EDITLINE=1 XCFLAGS="%{optflags} -std=gnu17" \
        OS_CFLAGS="-DXP_UNIX -DHAVE_VA_COPY -DVA_COPY=va_copy"


%install
install -d %{buildroot}%{_bindir}
install src/jsl %{buildroot}%{_bindir}

%check
cd tests
perl run_tests.pl ../src/jsl

%files
%{_bindir}/jsl



%changelog
* Fri May 16 2025 ns80 <ns80> 0.3.0-11.mga10
+ Revision: 2183773
- try to fix building with GCC 15

* Thu Oct 17 2024 ns80 <ns80> 0.3.0-10.mga10
+ Revision: 2107743
- try to fix building with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 0.3.0-9.mga9
+ Revision: 1791978
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.3.0-8.mga8
+ Revision: 1513686
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-7.mga7
+ Revision: 1298396
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.3.0-6.mga6
+ Revision: 935638
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 747988
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 680869
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 506489
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 355608
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 matteo <matteo> 0.3.0-1.mga3
+ Revision: 291082
- fixed Group
- spec file reviewed
- Import Fedora package


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-1
- Initial packaging
